Subject: bug#32120: 26.1; In python.el tab-width should default to 4

From: Noam Postavsky <[email-masked]>
Date: Sat, 30 Mar 2019 08:52:33 -0400

Carlos Pita <[email-masked]> writes:

> On Sat, Mar 30, 2019 at 12:17 AM Noam Postavsky <[email-masked]> wrote:
>
>>
>> Seems clear to me that the proper solution is simply to rebind C-x Tab
>> S-left/right to use python-indent-shift-left/right.  That will solve the
>> actual problem you experience, without incorrectly showing any existing
>> tab charaters as 4 spaces.
>>
>>
>  I would agree with you if I understood why is it incorrect to show 4
> spaces for a tab.

Because, as Glenn mentioned, the Python spec specifically says that tabs
should be 8 spaces.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32120#14